(function() {
  if (typeof window.cordovaIsLoading == "boolean" && window.cordovaIsLoading) {
    return;
  }
  if (
    typeof window.cordova !== "undefined" ||
    typeof window.zzcjsbridge !== "undefined"
  ) {
    return;
  }
  window.cordovaIsLoading = true;
  if (typeof window.zuzuche !== "undefined") {
    window.zzcApp = {};
    window.zzcApp.userLocation = {};
    if (typeof window.zuzuche.getUserLocation === "function") {
      var userLocation = window.zuzuche.getUserLocation();
      if (typeof userLocation === "string") {
        window.zzcApp.userLocation = JSON.parse(
          window.zuzuche.getUserLocation()
        );
      }
    }
    window.zzcApp.networkIsConnection = true;
    if (typeof window.zuzuche.networkIsAvailable === "function") {
      window.zzcApp.networkIsConnection = window.zuzuche.networkIsAvailable();
    }
    if (typeof window.zuzuche.getNetworkType === "function") {
      window.zzcApp.networkType = window.zuzuche.getNetworkType();
    }
    if (typeof window.zuzuche.getSystemLanguage === "function") {
      window.zzcApp.systemLanguage = window.zuzuche.getSystemLanguage();
    }
    if (typeof window.zuzuche.getNotchHeight === "function") {
      window.zzcApp.deviceSafeAreaInsetTop = window.zuzuche.getNotchHeight();
    }
    if (typeof window.zuzuche !== "undefined") {
      window.zuzuche.evaluateJavascript = function(flag, jsContent) {
        if (typeof jsContent !== "undefined") {
          window.zuzuche.onReceiveJavascriptValue(
            document.URL,
            flag,
            jsContent
          );
        }
      };
    }
    document.addEventListener(
      "readystatechange",
      function() {
        window.zuzuche.onReadyStateChanged(document.URL, document.readyState);
      },
      false
    );
  }
  var PLATFORM_VERSION_BUILD_LABEL = "6.3.0";
  var ZZC_JSSDK_VERSION = "3.0.0";
  var require, define;
  (function() {
    var modules = {},
      requireStack = [],
      inProgressModules = {},
      SEPARATOR = ".";
    function build(module) {
      var factory = module.factory,
        localRequire = function(id) {
          var resultantId = id;
          if (id.charAt(0) === ".") {
            resultantId =
              module.id.slice(0, module.id.lastIndexOf(SEPARATOR)) +
              SEPARATOR +
              id.slice(2);
          }
          return require(resultantId);
        };
      module.exports = {};
      delete module.factory;
      factory(localRequire, module.exports, module);
      return module.exports;
    }
    require = function(id) {
      if (!modules[id]) {
        throw "module " + id + " not found";
      } else {
        if (id in inProgressModules) {
          var cycle =
            requireStack.slice(inProgressModules[id]).join("->") + "->" + id;
          throw "Cycle in require graph: " + cycle;
        }
      }
      if (modules[id].factory) {
        try {
          inProgressModules[id] = requireStack.length;
          requireStack.push(id);
          return build(modules[id]);
        } finally {
          delete inProgressModules[id];
          requireStack.pop();
        }
      }
      return modules[id].exports;
    };
    define = function(id, factory) {
      if (modules[id]) {
        throw "module " + id + " already defined";
      }
      modules[id] = { id: id, factory: factory };
    };
    define.remove = function(id) {
      delete modules[id];
    };
    define.moduleMap = modules;
  })();
  if (typeof module === "object" && typeof require === "function") {
    module.exports.require = require;
    module.exports.define = define;
  }
  define("cordova", function(require, exports, module) {
    var channel = require("cordova/channel");
    var platform = require("cordova/platform");
    var m_document_addEventListener = document.addEventListener;
    var m_document_removeEventListener = document.removeEventListener;
    var m_window_addEventListener = window.addEventListener;
    var m_window_removeEventListener = window.removeEventListener;
    var documentEventHandlers = {},
      windowEventHandlers = {};
    document.addEventListener = function(evt, handler, capture) {
      var e = evt.toLowerCase();
      if (typeof documentEventHandlers[e] != "undefined") {
        documentEventHandlers[e].subscribe(handler);
      } else {
        m_document_addEventListener.call(document, evt, handler, capture);
      }
    };
    window.addEventListener = function(evt, handler, capture) {
      var e = evt.toLowerCase();
      if (typeof windowEventHandlers[e] != "undefined") {
        windowEventHandlers[e].subscribe(handler);
      } else {
        m_window_addEventListener.call(window, evt, handler, capture);
      }
    };
    document.removeEventListener = function(evt, handler, capture) {
      var e = evt.toLowerCase();
      if (typeof documentEventHandlers[e] != "undefined") {
        documentEventHandlers[e].unsubscribe(handler);
      } else {
        m_document_removeEventListener.call(document, evt, handler, capture);
      }
    };
    window.removeEventListener = function(evt, handler, capture) {
      var e = evt.toLowerCase();
      if (typeof windowEventHandlers[e] != "undefined") {
        windowEventHandlers[e].unsubscribe(handler);
      } else {
        m_window_removeEventListener.call(window, evt, handler, capture);
      }
    };
    function createEvent(type, data) {
      var event = document.createEvent("Events");
      event.initEvent(type, false, false);
      if (data) {
        for (var i in data) {
          if (data.hasOwnProperty(i)) {
            event[i] = data[i];
          }
        }
      }
      return event;
    }
    var cordova = {
      define: define,
      require: require,
      version: PLATFORM_VERSION_BUILD_LABEL,
      platformVersion: PLATFORM_VERSION_BUILD_LABEL,
      platformId: platform.id,
      addWindowEventHandler: function(event) {
        return (windowEventHandlers[event] = channel.create(event));
      },
      addStickyDocumentEventHandler: function(event) {
        return (documentEventHandlers[event] = channel.createSticky(event));
      },
      addDocumentEventHandler: function(event) {
        return (documentEventHandlers[event] = channel.create(event));
      },
      removeWindowEventHandler: function(event) {
        delete windowEventHandlers[event];
      },
      removeDocumentEventHandler: function(event) {
        delete documentEventHandlers[event];
      },
      getOriginalHandlers: function() {
        return {
          document: {
            addEventListener: m_document_addEventListener,
            removeEventListener: m_document_removeEventListener
          },
          window: {
            addEventListener: m_window_addEventListener,
            removeEventListener: m_window_removeEventListener
          }
        };
      },
      fireDocumentEvent: function(type, data, bNoDetach) {
        var evt = createEvent(type, data);
        if (typeof documentEventHandlers[type] != "undefined") {
          if (bNoDetach) {
            documentEventHandlers[type].fire(evt);
          } else {
            setTimeout(function() {
              if (type == "deviceready") {
                document.dispatchEvent(evt);
              }
              documentEventHandlers[type].fire(evt);
            }, 0);
          }
        } else {
          document.dispatchEvent(evt);
        }
      },
      fireWindowEvent: function(type, data) {
        var evt = createEvent(type, data);
        if (typeof windowEventHandlers[type] != "undefined") {
          setTimeout(function() {
            windowEventHandlers[type].fire(evt);
          }, 0);
        } else {
          window.dispatchEvent(evt);
        }
      },
      callbackId: Math.floor(Math.random() * 2000000000),
      callbacks: {},
      callbackStatus: {
        NO_RESULT: 0,
        OK: 1,
        CLASS_NOT_FOUND_EXCEPTION: 2,
        ILLEGAL_ACCESS_EXCEPTION: 3,
        INSTANTIATION_EXCEPTION: 4,
        MALFORMED_URL_EXCEPTION: 5,
        IO_EXCEPTION: 6,
        INVALID_ACTION: 7,
        JSON_EXCEPTION: 8,
        ERROR: 9,
        LISTENER: 10
      },
      callbackSuccess: function(callbackId, args) {
        cordova.callbackFromNative(
          callbackId,
          true,
          args.status,
          [args.message],
          args.keepCallback
        );
      },
      callbackError: function(callbackId, args) {
        cordova.callbackFromNative(
          callbackId,
          false,
          args.status,
          [args.message],
          args.keepCallback
        );
      },
      callbackFromNative: function(
        callbackId,
        isSuccess,
        status,
        args,
        keepCallback
      ) {
        try {
          var callback = cordova.callbacks[callbackId];
          if (callback) {
            if (isSuccess && status == cordova.callbackStatus.OK) {
              callback.success && callback.success.apply(null, args);
            } else if (
              !isSuccess &&
              status == cordova.callbackStatus.LISTENER
            ) {
              callback.fail && callback.fail.apply(null, args);
            }
            if (!keepCallback) {
              delete cordova.callbacks[callbackId];
            }
          }
        } catch (err) {
          var msg =
            "Error in " +
            (isSuccess ? "Success" : "Error") +
            " callbackId: " +
            callbackId +
            " : " +
            err;
          console && console.log && console.log(msg);
          cordova.fireWindowEvent("cordovacallbackerror", { message: msg });
          throw err;
        }
      },
      addConstructor: function(func) {
        channel.onCordovaReady.subscribe(function() {
          try {
            func();
          } catch (e) {
            console.log("Failed to run constructor: " + e);
          }
        });
      }
    };
    module.exports = cordova;
  });
  define("cordova/android/nativeapiprovider", function(
    require,
    exports,
    module
  ) {
    var nativeApi =
      this._cordovaNative || require("cordova/android/promptbasednativeapi");
    var currentApi = nativeApi;
    module.exports = {
      get: function() {
        return currentApi;
      },
      setPreferPrompt: function(value) {
        currentApi = value
          ? require("cordova/android/promptbasednativeapi")
          : nativeApi;
      },
      set: function(value) {
        currentApi = value;
      }
    };
  });
  define("cordova/android/promptbasednativeapi", function(
    require,
    exports,
    module
  ) {
    module.exports = {
      exec: function(bridgeSecret, service, action, callbackId, argsJson) {
        return prompt(
          argsJson,
          "gap:" + JSON.stringify([bridgeSecret, service, action, callbackId])
        );
      },
      setNativeToJsBridgeMode: function(bridgeSecret, value) {
        prompt(value, "gap_bridge_mode:" + bridgeSecret);
      },
      retrieveJsMessages: function(bridgeSecret, fromOnlineEvent) {
        return prompt(+fromOnlineEvent, "gap_poll:" + bridgeSecret);
      }
    };
  });
  define("cordova/argscheck", function(require, exports, module) {
    var exec = require("cordova/exec");
    var utils = require("cordova/utils");
    var moduleExports = module.exports;
    var typeMap = {
      A: "Array",
      D: "Date",
      N: "Number",
      S: "String",
      F: "Function",
      O: "Object"
    };
    function extractParamName(callee, argIndex) {
      return /.*?\((.*?)\)/.exec(callee)[1].split(", ")[argIndex];
    }
    function checkArgs(spec, functionName, args, opt_callee) {
      if (!moduleExports.enableChecks) {
        return;
      }
      var errMsg = null;
      var typeName;
      for (var i = 0; i < spec.length; ++i) {
        var c = spec.charAt(i),
          cUpper = c.toUpperCase(),
          arg = args[i];
        if (c == "*") {
          continue;
        }
        typeName = utils.typeName(arg);
        if ((arg === null || arg === undefined) && c == cUpper) {
          continue;
        }
        if (typeName != typeMap[cUpper]) {
          errMsg = "Expected " + typeMap[cUpper];
          break;
        }
      }
      if (errMsg) {
        errMsg += ", but got " + typeName + ".";
        errMsg =
          'Wrong type for parameter "' +
          extractParamName(opt_callee || args.callee, i) +
          '" of ' +
          functionName +
          ": " +
          errMsg;
        if (typeof jasmine == "undefined") {
          console.error(errMsg);
        }
        throw TypeError(errMsg);
      }
    }
    function getValue(value, defaultValue) {
      return value === undefined ? defaultValue : value;
    }
    moduleExports.checkArgs = checkArgs;
    moduleExports.getValue = getValue;
    moduleExports.enableChecks = true;
  });
  define("cordova/base64", function(require, exports, module) {
    var base64 = exports;
    base64.fromArrayBuffer = function(arrayBuffer) {
      var array = new Uint8Array(arrayBuffer);
      return uint8ToBase64(array);
    };
    base64.toArrayBuffer = function(str) {
      var decodedStr =
        typeof atob != "undefined"
          ? atob(str)
          : new Buffer(str, "base64").toString("binary");
      var arrayBuffer = new ArrayBuffer(decodedStr.length);
      var array = new Uint8Array(arrayBuffer);
      for (var i = 0, len = decodedStr.length; i < len; i++) {
        array[i] = decodedStr.charCodeAt(i);
      }
      return arrayBuffer;
    };
    var b64_6bit =
      "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
    var b64_12bit;
    var b64_12bitTable = function() {
      b64_12bit = [];
      for (var i = 0; i < 64; i++) {
        for (var j = 0; j < 64; j++) {
          b64_12bit[i * 64 + j] = b64_6bit[i] + b64_6bit[j];
        }
      }
      b64_12bitTable = function() {
        return b64_12bit;
      };
      return b64_12bit;
    };
    function uint8ToBase64(rawData) {
      var numBytes = rawData.byteLength;
      var output = "";
      var segment;
      var table = b64_12bitTable();
      for (var i = 0; i < numBytes - 2; i += 3) {
        segment = (rawData[i] << 16) + (rawData[i + 1] << 8) + rawData[i + 2];
        output += table[segment >> 12];
        output += table[segment & 4095];
      }
      if (numBytes - i == 2) {
        segment = (rawData[i] << 16) + (rawData[i + 1] << 8);
        output += table[segment >> 12];
        output += b64_6bit[(segment & 4095) >> 6];
        output += "=";
      } else {
        if (numBytes - i == 1) {
          segment = rawData[i] << 16;
          output += table[segment >> 12];
          output += "==";
        }
      }
      return output;
    }
  });
  define("cordova/builder", function(require, exports, module) {
    var utils = require("cordova/utils");
    function each(objects, func, context) {
      for (var prop in objects) {
        if (objects.hasOwnProperty(prop)) {
          func.apply(context, [objects[prop], prop]);
        }
      }
    }
    function clobber(obj, key, value) {
      exports.replaceHookForTesting(obj, key);
      var needsProperty = false;
      try {
        obj[key] = value;
      } catch (e) {
        needsProperty = true;
      }
      if (needsProperty || obj[key] !== value) {
        utils.defineGetter(obj, key, function() {
          return value;
        });
      }
    }
    function assignOrWrapInDeprecateGetter(obj, key, value, message) {
      if (message) {
        utils.defineGetter(obj, key, function() {
          console.log(message);
          delete obj[key];
          clobber(obj, key, value);
          return value;
        });
      } else {
        clobber(obj, key, value);
      }
    }
    function include(parent, objects, clobber, merge) {
      each(objects, function(obj, key) {
        try {
          var result = obj.path ? require(obj.path) : {};
          if (clobber) {
            if (typeof parent[key] === "undefined") {
              assignOrWrapInDeprecateGetter(
                parent,
                key,
                result,
                obj.deprecated
              );
            } else {
              if (typeof obj.path !== "undefined") {
                if (merge) {
                  recursiveMerge(parent[key], result);
                } else {
                  assignOrWrapInDeprecateGetter(
                    parent,
                    key,
                    result,
                    obj.deprecated
                  );
                }
              }
            }
            result = parent[key];
          } else {
            if (typeof parent[key] == "undefined") {
              assignOrWrapInDeprecateGetter(
                parent,
                key,
                result,
                obj.deprecated
              );
            } else {
              result = parent[key];
            }
          }
          if (obj.children) {
            include(result, obj.children, clobber, merge);
          }
        } catch (e) {
          utils.alert(
            "Exception building Cordova JS globals: " +
              e +
              ' for key "' +
              key +
              '"'
          );
        }
      });
    }
    function recursiveMerge(target, src) {
      for (var prop in src) {
        if (src.hasOwnProperty(prop)) {
          if (target.prototype && target.prototype.constructor === target) {
            clobber(target.prototype, prop, src[prop]);
          } else {
            if (
              typeof src[prop] === "object" &&
              typeof target[prop] === "object"
            ) {
              recursiveMerge(target[prop], src[prop]);
            } else {
              clobber(target, prop, src[prop]);
            }
          }
        }
      }
    }
    exports.buildIntoButDoNotClobber = function(objects, target) {
      include(target, objects, false, false);
    };
    exports.buildIntoAndClobber = function(objects, target) {
      include(target, objects, true, false);
    };
    exports.buildIntoAndMerge = function(objects, target) {
      include(target, objects, true, true);
    };
    exports.recursiveMerge = recursiveMerge;
    exports.assignOrWrapInDeprecateGetter = assignOrWrapInDeprecateGetter;
    exports.replaceHookForTesting = function() {};
  });
  define("cordova/channel", function(require, exports, module) {
    var utils = require("cordova/utils"),
      nextGuid = 1;
    var Channel = function(type, sticky) {
        this.type = type;
        this.handlers = {};
        this.state = sticky ? 1 : 0;
        this.fireArgs = null;
        this.numHandlers = 0;
        this.onHasSubscribersChange = null;
      },
      channel = {
        join: function(h, c) {
          var len = c.length,
            i = len,
            f = function() {
              if (!--i) {
                h();
              }
            };
          for (var j = 0; j < len; j++) {
            if (c[j].state === 0) {
              throw Error("Can only use join with sticky channels.");
            }
            c[j].subscribe(f);
          }
          if (!len) {
            h();
          }
        },
        create: function(type) {
          return (channel[type] = new Channel(type, false));
        },
        createSticky: function(type) {
          return (channel[type] = new Channel(type, true));
        },
        deviceReadyChannelsArray: [],
        deviceReadyChannelsMap: {},
        waitForInitialization: function(feature) {
          if (feature) {
            var c = channel[feature] || this.createSticky(feature);
            this.deviceReadyChannelsMap[feature] = c;
            this.deviceReadyChannelsArray.push(c);
          }
        },
        initializationComplete: function(feature) {
          var c = this.deviceReadyChannelsMap[feature];
          if (c) {
            c.fire();
          }
        }
      };
    function forceFunction(f) {
      if (typeof f != "function") {
        throw "Function required as first argument!";
      }
    }
    Channel.prototype.subscribe = function(f, c) {
      forceFunction(f);
      if (this.state == 2) {
        f.apply(c || this, this.fireArgs);
        return;
      }
      var func = f,
        guid = f.observer_guid;
      if (typeof c == "object") {
        func = utils.close(c, f);
      }
      if (!guid) {
        guid = "" + nextGuid++;
      }
      func.observer_guid = guid;
      f.observer_guid = guid;
      if (!this.handlers[guid]) {
        this.handlers[guid] = func;
        this.numHandlers++;
        if (this.numHandlers == 1) {
          this.onHasSubscribersChange && this.onHasSubscribersChange();
        }
      }
    };
    Channel.prototype.unsubscribe = function(f) {
      forceFunction(f);
      var guid = f.observer_guid,
        handler = this.handlers[guid];
      if (handler) {
        delete this.handlers[guid];
        this.numHandlers--;
        if (this.numHandlers === 0) {
          this.onHasSubscribersChange && this.onHasSubscribersChange();
        }
      }
    };
    Channel.prototype.fire = function(e) {
      var fail = false,
        fireArgs = Array.prototype.slice.call(arguments);
      if (this.state == 1) {
        this.state = 2;
        this.fireArgs = fireArgs;
      }
      if (this.numHandlers) {
        var toCall = [];
        for (var item in this.handlers) {
          toCall.push(this.handlers[item]);
        }
        for (var i = 0; i < toCall.length; ++i) {
          toCall[i].apply(this, fireArgs);
        }
        if (this.state == 2 && this.numHandlers) {
          this.numHandlers = 0;
          this.handlers = {};
          this.onHasSubscribersChange && this.onHasSubscribersChange();
        }
      }
    };
    channel.createSticky("onDOMContentLoaded");
    channel.createSticky("onNativeReady");
    channel.createSticky("onCordovaReady");
    channel.createSticky("onPluginsReady");
    channel.createSticky("onDeviceReady");
    channel.create("onResume");
    channel.create("onPause");
    channel.waitForInitialization("onCordovaReady");
    channel.waitForInitialization("onDOMContentLoaded");
    module.exports = channel;
  });
  define("cordova/exec", function(require, exports, module) {
    var cordova = require("cordova"),
      nativeApiProvider = require("cordova/android/nativeapiprovider"),
      utils = require("cordova/utils"),
      base64 = require("cordova/base64"),
      channel = require("cordova/channel"),
      jsToNativeModes = { PROMPT: 0, JS_OBJECT: 1 },
      nativeToJsModes = {
        POLLING: 0,
        LOAD_URL: 1,
        ONLINE_EVENT: 2,
        PRIVATE_API: 3
      },
      jsToNativeBridgeMode,
      nativeToJsBridgeMode = nativeToJsModes.ONLINE_EVENT,
      pollEnabled = false,
      messagesFromNative = [],
      bridgeSecret = -1;
    function androidExec(success, fail, service, action, args) {
      if (bridgeSecret < 0) {
        throw new Error("exec() called without bridgeSecret");
      }
      if (jsToNativeBridgeMode === undefined) {
        androidExec.setJsToNativeBridgeMode(jsToNativeModes.JS_OBJECT);
      }
      for (var i = 0; i < args.length; i++) {
        if (utils.typeName(args[i]) == "ArrayBuffer") {
          args[i] = base64.fromArrayBuffer(args[i]);
        }
      }
      if (fail && "FailAsListener" !== args[args.length - 1]) {
        args.push("FailAsListener");
      }
      var callbackId = service + cordova.callbackId++,
        argsJson = JSON.stringify(args);
      if (success || fail) {
        cordova.callbacks[callbackId] = { success: success, fail: fail };
      }
      var messages = nativeApiProvider
        .get()
        .exec(bridgeSecret, service, action, callbackId, argsJson);
      if (
        jsToNativeBridgeMode == jsToNativeModes.JS_OBJECT &&
        messages === "@Null arguments."
      ) {
        androidExec.setJsToNativeBridgeMode(jsToNativeModes.PROMPT);
        androidExec(success, fail, service, action, args);
        androidExec.setJsToNativeBridgeMode(jsToNativeModes.JS_OBJECT);
        return;
      } else {
        androidExec.processMessages(messages, true);
      }
    }
    androidExec.init = function() {
      bridgeSecret = +prompt("", "gap_init:" + nativeToJsBridgeMode);
      channel.onNativeReady.fire();
    };
    function pollOnceFromOnlineEvent() {
      pollOnce(true);
    }
    function pollOnce(opt_fromOnlineEvent) {
      if (bridgeSecret < 0) {
        return;
      }
      var msg = nativeApiProvider
        .get()
        .retrieveJsMessages(bridgeSecret, !!opt_fromOnlineEvent);
      androidExec.processMessages(msg);
    }
    function pollingTimerFunc() {
      if (pollEnabled) {
        pollOnce();
        setTimeout(pollingTimerFunc, 50);
      }
    }
    function hookOnlineApis() {
      function proxyEvent(e) {
        cordova.fireWindowEvent(e.type);
      }
      window.addEventListener("online", pollOnceFromOnlineEvent, false);
      window.addEventListener("offline", pollOnceFromOnlineEvent, false);
      cordova.addWindowEventHandler("online");
      cordova.addWindowEventHandler("offline");
      document.addEventListener("online", proxyEvent, false);
      document.addEventListener("offline", proxyEvent, false);
    }
    hookOnlineApis();
    androidExec.jsToNativeModes = jsToNativeModes;
    androidExec.nativeToJsModes = nativeToJsModes;
    androidExec.setJsToNativeBridgeMode = function(mode) {
      if (mode == jsToNativeModes.JS_OBJECT && !window._cordovaNative) {
        mode = jsToNativeModes.PROMPT;
      }
      nativeApiProvider.setPreferPrompt(mode == jsToNativeModes.PROMPT);
      jsToNativeBridgeMode = mode;
    };
    androidExec.setNativeToJsBridgeMode = function(mode) {
      if (mode == nativeToJsBridgeMode) {
        return;
      }
      if (nativeToJsBridgeMode == nativeToJsModes.POLLING) {
        pollEnabled = false;
      }
      nativeToJsBridgeMode = mode;
      if (bridgeSecret >= 0) {
        nativeApiProvider.get().setNativeToJsBridgeMode(bridgeSecret, mode);
      }
      if (mode == nativeToJsModes.POLLING) {
        pollEnabled = true;
        setTimeout(pollingTimerFunc, 1);
      }
    };
    function buildPayload(payload, message) {
      var payloadKind = message.charAt(0);
      if (payloadKind == "s") {
        payload.push(message.slice(1));
      } else {
        if (payloadKind == "t") {
          payload.push(true);
        } else {
          if (payloadKind == "f") {
            payload.push(false);
          } else {
            if (payloadKind == "N") {
              payload.push(undefined);
            } else {
              if (payloadKind == "n") {
                payload.push(+message.slice(1));
              } else {
                if (payloadKind == "A") {
                  var data = message.slice(1);
                  payload.push(base64.toArrayBuffer(data));
                } else {
                  if (payloadKind == "S") {
                    payload.push(window.atob(message.slice(1)));
                  } else {
                    if (payloadKind == "M") {
                      var multipartMessages = message.slice(1);
                      while (multipartMessages !== "") {
                        var spaceIdx = multipartMessages.indexOf(" ");
                        var msgLen = +multipartMessages.slice(0, spaceIdx);
                        var multipartMessage = multipartMessages.substr(
                          spaceIdx + 1,
                          msgLen
                        );
                        multipartMessages = multipartMessages.slice(
                          spaceIdx + msgLen + 1
                        );
                        buildPayload(payload, multipartMessage);
                      }
                    } else {
                      payload.push(JSON.parse(message));
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
    function processMessage(message) {
      try {
        var firstChar = message.charAt(0);
        if (firstChar == "J") {
          eval(message.slice(1));
        } else {
          if (firstChar == "S" || firstChar == "F") {
            var success = firstChar == "S";
            var keepCallback = message.charAt(1) == "1";
            var spaceIdx = message.indexOf(" ", 2);
            var status = +message.slice(2, spaceIdx);
            var nextSpaceIdx = message.indexOf(" ", spaceIdx + 1);
            var callbackId = message.slice(spaceIdx + 1, nextSpaceIdx);
            var payloadMessage = message.slice(nextSpaceIdx + 1);
            var payload = [];
            buildPayload(payload, payloadMessage);
            cordova.callbackFromNative(
              callbackId,
              success,
              status,
              payload,
              keepCallback
            );
          } else {
            console.log(
              "processMessage failed: invalid message: " +
                JSON.stringify(message)
            );
          }
        }
      } catch (e) {
        console.log("processMessage failed: Error: " + e);
        console.log("processMessage failed: Stack: " + e.stack);
        console.log("processMessage failed: Message: " + message);
      }
    }
    var isProcessing = false;
    androidExec.processMessages = function(messages, opt_useTimeout) {
      if (messages) {
        messagesFromNative.push(messages);
      }
      if (isProcessing) {
        return;
      }
      if (opt_useTimeout) {
        window.setTimeout(androidExec.processMessages, 0);
        return;
      }
      isProcessing = true;
      try {
        while (messagesFromNative.length) {
          var msg = popMessageFromQueue();
          if (msg == "*" && messagesFromNative.length === 0) {
            setTimeout(pollOnce, 0);
            return;
          }
          processMessage(msg);
        }
      } finally {
        isProcessing = false;
      }
    };
    function popMessageFromQueue() {
      var messageBatch = messagesFromNative.shift();
      if (messageBatch == "*") {
        return "*";
      }
      var spaceIdx = messageBatch.indexOf(" ");
      var msgLen = +messageBatch.slice(0, spaceIdx);
      var message = messageBatch.substr(spaceIdx + 1, msgLen);
      messageBatch = messageBatch.slice(spaceIdx + msgLen + 1);
      if (messageBatch) {
        messagesFromNative.unshift(messageBatch);
      }
      return message;
    }
    module.exports = androidExec;
  });
  define("cordova/exec/proxy", function(require, exports, module) {
    var CommandProxyMap = {};
    module.exports = {
      add: function(id, proxyObj) {
        console.log("adding proxy for " + id);
        CommandProxyMap[id] = proxyObj;
        return proxyObj;
      },
      remove: function(id) {
        var proxy = CommandProxyMap[id];
        delete CommandProxyMap[id];
        CommandProxyMap[id] = null;
        return proxy;
      },
      get: function(service, action) {
        return CommandProxyMap[service]
          ? CommandProxyMap[service][action]
          : null;
      }
    };
  });
  define("cordova/init", function(require, exports, module) {
    var channel = require("cordova/channel");
    var cordova = require("cordova");
    var modulemapper = require("cordova/modulemapper");
    var platform = require("cordova/platform");
    var pluginloader = require("cordova/pluginloader");
    var utils = require("cordova/utils");
    var platformInitChannelsArray = [
      channel.onNativeReady,
      channel.onPluginsReady
    ];
    function logUnfiredChannels(arr) {
      for (var i = 0; i < arr.length; ++i) {
        if (arr[i].state != 2) {
          console.log("Channel not fired: " + arr[i].type);
        }
      }
    }
    window.setTimeout(function() {
      if (channel.onDeviceReady.state != 2) {
        console.log("deviceready has not fired after 5 seconds.");
        logUnfiredChannels(platformInitChannelsArray);
        logUnfiredChannels(channel.deviceReadyChannelsArray);
      }
      window.cordovaIsLoading = false;
    }, 5000);
    function replaceNavigator(origNavigator) {
      var CordovaNavigator = function() {};
      CordovaNavigator.prototype = origNavigator;
      var newNavigator = new CordovaNavigator();
      if (CordovaNavigator.bind) {
        for (var key in origNavigator) {
          if (typeof origNavigator[key] == "function") {
            newNavigator[key] = origNavigator[key].bind(origNavigator);
          } else {
            (function(k) {
              utils.defineGetterSetter(newNavigator, key, function() {
                return origNavigator[k];
              });
            })(key);
          }
        }
      }
      return newNavigator;
    }
    if (window.navigator) {
      window.navigator = replaceNavigator(window.navigator);
    }
    if (!window.console) {
      window.console = { log: function() {} };
    }
    if (!window.console.warn) {
      window.console.warn = function(msg) {
        this.log("warn: " + msg);
      };
    }
    channel.onPause = cordova.addDocumentEventHandler("pause");
    channel.onResume = cordova.addDocumentEventHandler("resume");
    channel.onDeviceReady = cordova.addStickyDocumentEventHandler(
      "deviceready"
    );
    if (
      document.readyState == "complete" ||
      document.readyState == "interactive"
    ) {
      channel.onDOMContentLoaded.fire();
    } else {
      document.addEventListener(
        "DOMContentLoaded",
        function() {
          channel.onDOMContentLoaded.fire();
        },
        false
      );
    }
    if (window._nativeReady) {
      channel.onNativeReady.fire();
    }
    modulemapper.clobbers("cordova", "cordova");
    modulemapper.clobbers("cordova/exec", "cordova.exec");
    modulemapper.clobbers("cordova/exec", "Cordova.exec");
    modulemapper.clobbers("cordova", "zzcjsbridge");
    modulemapper.clobbers("zzcjsbridge/areaselect", "zzcjsbridge.areaselect");
    modulemapper.clobbers("zzcjsbridge/areaselect", "zzcjsbridge.AreaSelect");
    modulemapper.clobbers("zzcjsbridge/calendar", "zzcjsbridge.calendar");
    modulemapper.clobbers("zzcjsbridge/calendar", "zzcjsbridge.Calendar");
    modulemapper.clobbers("zzcjsbridge/base_toast", "zzcjsbridge.alert");
    modulemapper.clobbers("zzcjsbridge/base_toast", "zzcjsbridge.Alert");
    modulemapper.clobbers("zzcjsbridge/base_toast", "zzcjsbridge.base_toast");
    modulemapper.clobbers(
      "zzcjsbridge/backtopreviouspage",
      "zzcjsbridge.backtopreviouspage"
    );
    modulemapper.clobbers(
      "zzcjsbridge/backtopreviouspage",
      "zzcjsbridge.BackToPreviousPage"
    );
    modulemapper.clobbers("zzcjsbridge/backtohome", "zzcjsbridge.backtohome");
    modulemapper.clobbers("zzcjsbridge/backtohome", "zzcjsbridge.Backtohome");
    modulemapper.clobbers(
      "zzcjsbridge/onScreenshotShared",
      "zzcjsbridge.onScreenshotShared"
    );
    modulemapper.clobbers("zzcjsbridge/shareFile", "zzcjsbridge.shareFile");
    modulemapper.clobbers(
      "zzcjsbridge/getScreenshotImage",
      "zzcjsbridge.getScreenshotImage"
    );
    modulemapper.clobbers(
      "zzcjsbridge/onLoginStatusChange",
      "zzcjsbridge.onLoginStatusChange"
    );
    modulemapper.clobbers(
      "zzcjsbridge/onTabbarSelected",
      "zzcjsbridge.onTabbarSelected"
    );
    modulemapper.clobbers(
      "zzcjsbridge/onPickUpCityChange",
      "zzcjsbridge.onPickUpCityChange"
    );
    modulemapper.clobbers(
      "zzcjsbridge/onVisibilitychange",
      "zzcjsbridge.onVisibilitychange"
    );
    modulemapper.clobbers(
      "zzcjsbridge/onReceiveScheme",
      "zzcjsbridge.onReceiveScheme"
    );
    modulemapper.clobbers(
      "zzcjsbridge/loginsuccess",
      "zzcjsbridge.loginsuccess"
    );
    modulemapper.clobbers(
      "zzcjsbridge/loginsuccess",
      "zzcjsbridge.LoginSuccess"
    );
    modulemapper.clobbers(
      "zzcjsbridge/carlistpagetitle",
      "zzcjsbridge.carlistpagetitle"
    );
    modulemapper.clobbers(
      "zzcjsbridge/carlistpagetitle",
      "zzcjsbridge.CarListPageTitle"
    );
    modulemapper.clobbers(
      "zzcjsbridge/openDateSettingTool",
      "zzcjsbridge.openDateSettingTool"
    );
    modulemapper.clobbers(
      "zzcjsbridge/crcRentCarSettingAlert",
      "zzcjsbridge.crcRentCarSettingAlert"
    );
    modulemapper.clobbers(
      "zzcjsbridge/pickupreturncalendar",
      "zzcjsbridge.pickupreturncalendar"
    );
    modulemapper.clobbers(
      "zzcjsbridge/pickupreturncalendar",
      "zzcjsbridge.PickUpReturnCalendar"
    );
    modulemapper.clobbers("zzcjsbridge/ImageViewer", "zzcjsbridge.imageviewer");
    modulemapper.clobbers("zzcjsbridge/ImageViewer", "zzcjsbridge.ImageViewer");
    modulemapper.clobbers("zzcjsbridge/ImagePicker", "zzcjsbridge.ImagePicker");
    modulemapper.clobbers(
      "zzcjsbridge/MediaViewer",
      "zzcjsbridge.base_mediaViewer"
    );
    modulemapper.clobbers("zzcjsbridge/share", "zzcjsbridge.share");
    modulemapper.clobbers("zzcjsbridge/share", "zzcjsbridge.Share");
    modulemapper.clobbers(
      "zzcjsbridge/webviewtitle",
      "zzcjsbridge.webviewtitle"
    );
    modulemapper.clobbers(
      "zzcjsbridge/webviewtitle",
      "zzcjsbridge.base_webviewtitle"
    );
    modulemapper.clobbers(
      "zzcjsbridge/appMarketComment",
      "zzcjsbridge.appMarketComment"
    );
    modulemapper.clobbers(
      "zzcjsbridge/appMarketComment",
      "zzcjsbridge.AppMarketComment"
    );
    modulemapper.clobbers(
      "zzcjsbridge/appSocialSnsLogin",
      "zzcjsbridge.appSocialSnsLogin"
    );
    modulemapper.clobbers(
      "zzcjsbridge/appSocialSnsLogin",
      "zzcjsbridge.AppSocialSnsLogin"
    );
    modulemapper.clobbers(
      "zzcjsbridge/appTextResignFirstResponder",
      "zzcjsbridge.appTextResignFirstResponder"
    );
    modulemapper.clobbers(
      "zzcjsbridge/appTextResignFirstResponder",
      "zzcjsbridge.AppTextResignFirstResponder"
    );
    modulemapper.clobbers(
      "zzcjsbridge/appInputCommunityAnswers",
      "zzcjsbridge.appInputCommunityAnswers"
    );
    modulemapper.clobbers(
      "zzcjsbridge/appInputCommunityAnswers",
      "zzcjsbridge.AppInputCommunityAnswers"
    );
    modulemapper.clobbers(
      "zzcjsbridge/appCustomRightBarList",
      "zzcjsbridge.appCustomRightBarList"
    );
    modulemapper.clobbers(
      "zzcjsbridge/appCustomRightBarList",
      "zzcjsbridge.AppCustomRightBarList"
    );
    modulemapper.clobbers(
      "zzcjsbridge/userVisitorMode",
      "zzcjsbridge.userVisitorMode"
    );
    modulemapper.clobbers(
      "zzcjsbridge/userVisitorMode",
      "zzcjsbridge.UserVisitorMode"
    );
    modulemapper.clobbers(
      "zzcjsbridge/answerUserQuestion",
      "zzcjsbridge.answerUserQuestion"
    );
    modulemapper.clobbers(
      "zzcjsbridge/answerUserQuestion",
      "zzcjsbridge.AnswerUserQuestion"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_getAppPermission",
      "zzcjsbridge.base_getAppPermission"
    );
    modulemapper.clobbers(
      "zzcjsbridge/phoneIsExistApp",
      "zzcjsbridge.phoneIsExistApp"
    );
    modulemapper.clobbers(
      "zzcjsbridge/phoneIsExistApp",
      "zzcjsbridge.PhoneIsExistApp"
    );
    modulemapper.clobbers(
      "zzcjsbridge/setNativeClipboard",
      "zzcjsbridge.setNativeClipboard"
    );
    modulemapper.clobbers(
      "zzcjsbridge/setNativeClipboard",
      "zzcjsbridge.SetNativeClipboard"
    );
    modulemapper.clobbers(
      "zzcjsbridge/receiveSearchReg",
      "zzcjsbridge.receiveSearchReg"
    );
    modulemapper.clobbers(
      "zzcjsbridge/receiveSearchReg",
      "zzcjsbridge.ReceiveSearchReg"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_SetSearchBarState",
      "zzcjsbridge.base_SetSearchBarState"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_updateWebTopSearchBar",
      "zzcjsbridge.base_updateWebTopSearchBar"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_SetSearchBarState",
      "zzcjsbridge.Base_SetSearchBarState"
    );
    modulemapper.clobbers(
      "zzcjsbridge/group_updateUserUnreadCount",
      "zzcjsbridge.group_updateUserUnreadCount"
    );
    modulemapper.clobbers(
      "zzcjsbridge/group_updateUserUnreadCount",
      "zzcjsbridge.Group_updateUserUnreadCount"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_updateBaseTabbar",
      "zzcjsbridge.base_updateBaseTabbar"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_updateBaseTabbar",
      "zzcjsbridge.Base_updateBaseTabbar"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_updateTabbarBadge",
      "zzcjsbridge.base_updateTabbarBadge"
    );
    modulemapper.clobbers(
      "zzcjsbridge/account_updateUserUnreadCount",
      "zzcjsbridge.account_updateUserUnreadCount"
    );
    modulemapper.clobbers(
      "zzcjsbridge/account_updateUserUnreadCount",
      "zzcjsbridge.Account_updateUserUnreadCount"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_showNativeActionSheet",
      "zzcjsbridge.base_showNativeActionSheet"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_showNativeActionSheet",
      "zzcjsbridge.Base_showNativeActionSheet"
    );
    modulemapper.clobbers(
      "zzcjsbridge/openAppMarket",
      "zzcjsbridge.openAppMarket"
    );
    modulemapper.clobbers(
      "zzcjsbridge/openAppMarket",
      "zzcjsbridge.OpenAppMarket"
    );
    modulemapper.clobbers(
      "zzcjsbridge/group_referSomeone",
      "zzcjsbridge.group_referSomeone"
    );
    modulemapper.clobbers(
      "zzcjsbridge/group_referSomeone",
      "zzcjsbridge.Group_referSomeone"
    );
    modulemapper.clobbers(
      "zzcjsbridge/group_proximityMonitering",
      "zzcjsbridge.group_proximityMonitering"
    );
    modulemapper.clobbers(
      "zzcjsbridge/group_proximityMonitering",
      "zzcjsbridge.Group_proximityMonitering"
    );
    modulemapper.clobbers(
      "zzcjsbridge/group_setTopBarTitle",
      "zzcjsbridge.group_setTopBarTitle"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_showOrHideTopBar",
      "zzcjsbridge.base_showOrHideTopBar"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_setTopBarStyle",
      "zzcjsbridge.base_setTopBarStyle"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_goBackPage",
      "zzcjsbridge.base_goBackPage"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_goBackPage",
      "zzcjsbridge.Base_goBackPage"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_navbarRightButtons",
      "zzcjsbridge.base_navbarRightButtons"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_customNavbarRightButton",
      "zzcjsbridge.base_customNavbarRightButton"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_customNavbarLeftButton",
      "zzcjsbridge.base_customNavbarLeftButton"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_goNotificationSettings",
      "zzcjsbridge.base_goNotificationSettings"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_openAppSetting",
      "zzcjsbridge.base_openAppSetting"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_startLoading",
      "zzcjsbridge.base_startLoading"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_stopLoading",
      "zzcjsbridge.base_stopLoading"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_addPullToRefresh",
      "zzcjsbridge.base_addPullToRefresh"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_removePullToRefresh",
      "zzcjsbridge.base_removePullToRefresh"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_finishPullToRefresh",
      "zzcjsbridge.base_finishPullToRefresh"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_saveToAlbum",
      "zzcjsbridge.base_saveToAlbum"
    );
    modulemapper.clobbers("zzcjsbridge/base_voip", "zzcjsbridge.base_voip");
    modulemapper.clobbers(
      "zzcjsbridge/configureBaiduASR",
      "zzcjsbridge.configureBaiduASR"
    );
    modulemapper.clobbers(
      "zzcjsbridge/chat_switchInputToolStatus",
      "zzcjsbridge.chat_switchInputToolStatus"
    );
    modulemapper.clobbers(
      "zzcjsbridge/chat_cleanInputText",
      "zzcjsbridge.chat_cleanInputText"
    );
    modulemapper.clobbers(
      "zzcjsbridge/chat_setupMoreItems",
      "zzcjsbridge.chat_setupMoreItems"
    );
    modulemapper.clobbers(
      "zzcjsbridge/chat_publishNote",
      "zzcjsbridge.chat_publishNote"
    );
    modulemapper.clobbers(
      "zzcjsbridge/com_orderPay",
      "zzcjsbridge.com_orderPay"
    );
    modulemapper.clobbers(
      "zzcjsbridge/wxpayappcheck",
      "zzcjsbridge.wxpayappcheck"
    );
    modulemapper.clobbers("zzcjsbridge/wxpayV2", "zzcjsbridge.wxpayV2");
    modulemapper.clobbers("zzcjsbridge/wxpay", "zzcjsbridge.wxpay");
    modulemapper.clobbers(
      "zzcjsbridge/alipayappcheck",
      "zzcjsbridge.alipayappcheck"
    );
    modulemapper.clobbers("zzcjsbridge/alipayV2", "zzcjsbridge.alipayV2");
    modulemapper.clobbers("zzcjsbridge/alipay", "zzcjsbridge.alipay");
    modulemapper.clobbers(
      "zzcjsbridge/changeUserLanguage",
      "zzcjsbridge.changeUserLanguage"
    );
    modulemapper.clobbers("zzcjsbridge/page_linkTo", "zzcjsbridge.page_linkTo");
    modulemapper.clobbers(
      "zzcjsbridge/getMyVideoStatus",
      "zzcjsbridge.getMyVideoStatus"
    );
    modulemapper.clobbers(
      "zzcjsbridge/trackingIO_registerAccount",
      "zzcjsbridge.trackingIO_registerAccount"
    );
    modulemapper.clobbers(
      "zzcjsbridge/trackingIO_loginAccount",
      "zzcjsbridge.trackingIO_loginAccount"
    );
    modulemapper.clobbers(
      "zzcjsbridge/trackingIO_startPay",
      "zzcjsbridge.trackingIO_startPay"
    );
    modulemapper.clobbers(
      "zzcjsbridge/trackingIO_finishPay",
      "zzcjsbridge.trackingIO_finishPay"
    );
    modulemapper.clobbers(
      "zzcjsbridge/trackingIO_setEvent",
      "zzcjsbridge.trackingIO_setEvent"
    );
    modulemapper.clobbers(
      "zzcjsbridge/trackingIO_setProfile",
      "zzcjsbridge.trackingIO_setProfile"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_pageCommunication",
      "zzcjsbridge.base_pageCommunication"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_customDialog",
      "zzcjsbridge.base_customDialog"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_getSwitchState",
      "zzcjsbridge.base_getSwitchState"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_updateBadge",
      "zzcjsbridge.base_updateBadge"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_uploadContacts",
      "zzcjsbridge.base_uploadContacts"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_requestLocation",
      "zzcjsbridge.base_requestLocation"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_openKeyboard",
      "zzcjsbridge.base_openKeyboard"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_navbarRightPopover",
      "zzcjsbridge.base_navbarRightPopover"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_showTopNavBar",
      "zzcjsbridge.base_showTopNavBar"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_hideTopNavBar",
      "zzcjsbridge.base_hideTopNavBar"
    );
    modulemapper.clobbers(
      "zzcjsbridge/showWebActivity",
      "zzcjsbridge.showWebActivity"
    );
    modulemapper.clobbers(
      "zzcjsbridge/hideWebActivity",
      "zzcjsbridge.hideWebActivity"
    );
    modulemapper.clobbers(
      "zzcjsbridge/webActivityPageFinished",
      "zzcjsbridge.webActivityPageFinished"
    );
    modulemapper.clobbers(
      "zzcjsbridge/analyticsConfig",
      "zzcjsbridge.analyticsConfig"
    );
    modulemapper.clobbers(
      "zzcjsbridge/updateSearchCity",
      "zzcjsbridge.updateSearchCity"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_localStorageSetItem",
      "zzcjsbridge.base_localStorageSetItem"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_localStorageSetItems",
      "zzcjsbridge.base_localStorageSetItems"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_localStorageGetItem",
      "zzcjsbridge.base_localStorageGetItem"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_localStorageRemoveItem",
      "zzcjsbridge.base_localStorageRemoveItem"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_localStorageClean",
      "zzcjsbridge.base_localStorageClean"
    );
    modulemapper.clobbers(
      "zzcjsbridge/base_localStorageAllItems",
      "zzcjsbridge.base_localStorageAllItems"
    );
    modulemapper.clobbers(
      "zzcjsbridge/openWXMiniProgram",
      "zzcjsbridge.openWXMiniProgram"
    );
    modulemapper.clobbers(
      "zzcjsbridge/loadAndShowRewardVideoAd",
      "zzcjsbridge.loadAndShowRewardVideoAd"
    );

    platform.bootstrap && platform.bootstrap();
    setTimeout(function() {
      pluginloader.load(function() {
        channel.onPluginsReady.fire();
        window.cordova = cordova;
        window.zzcjsbridge = cordova;
        window.zzcjsbridge.jssdkver = ZZC_JSSDK_VERSION;
        require("cordova").fireDocumentEvent("pluginsready");
        window.cordovaIsLoading = false;
      });
    }, 0);
    channel.join(function() {
      modulemapper.mapModules(window);
      platform.initialize && platform.initialize();
      channel.onCordovaReady.fire();
      channel.join(function() {
        require("cordova").fireDocumentEvent("deviceready");
      }, channel.deviceReadyChannelsArray);
    }, platformInitChannelsArray);
  });
  define("cordova/modulemapper", function(require, exports, module) {
    var builder = require("cordova/builder"),
      moduleMap = define.moduleMap,
      symbolList,
      deprecationMap;
    exports.reset = function() {
      symbolList = [];
      deprecationMap = {};
    };
    function addEntry(
      strategy,
      moduleName,
      symbolPath,
      opt_deprecationMessage
    ) {
      if (!(moduleName in moduleMap)) {
        throw new Error("Module " + moduleName + " does not exist.");
      }
      symbolList.push(strategy, moduleName, symbolPath);
      if (opt_deprecationMessage) {
        deprecationMap[symbolPath] = opt_deprecationMessage;
      }
    }
    exports.clobbers = function(
      moduleName,
      symbolPath,
      opt_deprecationMessage
    ) {
      addEntry("c", moduleName, symbolPath, opt_deprecationMessage);
    };
    exports.merges = function(moduleName, symbolPath, opt_deprecationMessage) {
      addEntry("m", moduleName, symbolPath, opt_deprecationMessage);
    };
    exports.defaults = function(
      moduleName,
      symbolPath,
      opt_deprecationMessage
    ) {
      addEntry("d", moduleName, symbolPath, opt_deprecationMessage);
    };
    exports.runs = function(moduleName) {
      addEntry("r", moduleName, null);
    };
    function prepareNamespace(symbolPath, context) {
      if (!symbolPath) {
        return context;
      }
      var parts = symbolPath.split(".");
      var cur = context;
      for (var i = 0, part; (part = parts[i]); ++i) {
        cur = cur[part] = cur[part] || {};
      }
      return cur;
    }
    exports.mapModules = function(context) {
      var origSymbols = {};
      context.CDV_origSymbols = origSymbols;
      for (var i = 0, len = symbolList.length; i < len; i += 3) {
        var strategy = symbolList[i];
        var moduleName = symbolList[i + 1];
        var module = require(moduleName);
        if (strategy == "r") {
          continue;
        }
        var symbolPath = symbolList[i + 2];
        var lastDot = symbolPath.lastIndexOf(".");
        var namespace = symbolPath.substr(0, lastDot);
        var lastName = symbolPath.substr(lastDot + 1);
        var deprecationMsg =
          symbolPath in deprecationMap
            ? "Access made to deprecated symbol: " +
              symbolPath +
              ". " +
              deprecationMsg
            : null;
        var parentObj = prepareNamespace(namespace, context);
        var target = parentObj[lastName];
        if (strategy == "m" && target) {
          builder.recursiveMerge(target, module);
        } else {
          if ((strategy == "d" && !target) || strategy != "d") {
            if (!(symbolPath in origSymbols)) {
              origSymbols[symbolPath] = target;
            }
            builder.assignOrWrapInDeprecateGetter(
              parentObj,
              lastName,
              module,
              deprecationMsg
            );
          }
        }
      }
    };
    exports.getOriginalSymbol = function(context, symbolPath) {
      var origSymbols = context.CDV_origSymbols;
      if (origSymbols && symbolPath in origSymbols) {
        return origSymbols[symbolPath];
      }
      var parts = symbolPath.split(".");
      var obj = context;
      for (var i = 0; i < parts.length; ++i) {
        obj = obj && obj[parts[i]];
      }
      return obj;
    };
    exports.reset();
  });
  define("cordova/platform", function(require, exports, module) {
    module.exports = {
      id: "android",
      bootstrap: function() {
        var channel = require("cordova/channel"),
          cordova = require("cordova"),
          exec = require("cordova/exec"),
          modulemapper = require("cordova/modulemapper");
        exec.init();
        modulemapper.clobbers("cordova/plugin/android/app", "navigator.app");
        var APP_PLUGIN_NAME =
          Number(cordova.platformVersion.split(".")[0]) >= 4
            ? "CoreAndroid"
            : "App";
        var backButtonChannel = cordova.addDocumentEventHandler("backbutton");
        backButtonChannel.onHasSubscribersChange = function() {
          exec(null, null, APP_PLUGIN_NAME, "overrideBackbutton", [
            this.numHandlers == 1
          ]);
        };
        cordova.addDocumentEventHandler("menubutton");
        cordova.addDocumentEventHandler("searchbutton");
        function bindButtonChannel(buttonName) {
          var volumeButtonChannel = cordova.addDocumentEventHandler(
            buttonName + "button"
          );
          volumeButtonChannel.onHasSubscribersChange = function() {
            exec(null, null, APP_PLUGIN_NAME, "overrideButton", [
              buttonName,
              this.numHandlers == 1
            ]);
          };
        }
        bindButtonChannel("volumeup");
        bindButtonChannel("volumedown");
        channel.onCordovaReady.subscribe(function() {
          exec(
            onMessageFromNative,
            null,
            APP_PLUGIN_NAME,
            "messageChannel",
            []
          );
          exec(null, null, APP_PLUGIN_NAME, "show", []);
        });
      }
    };
    function onMessageFromNative(msg) {
      var cordova = require("cordova");
      var action = msg.action;
      switch (action) {
        case "backbutton":
        case "menubutton":
        case "searchbutton":
        case "pause":
        case "resume":
        case "hidekeyboard":
        case "showkeyboard":
        case "volumedownbutton":
        case "volumeupbutton":
          cordova.fireDocumentEvent(action);
          break;
        default:
          throw new Error("Unknown event action " + action);
      }
    }
  });
  define("cordova/plugin/android/app", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = {
      clearCache: function() {
        exec(null, null, "App", "clearCache", []);
      },
      loadUrl: function(url, props) {
        exec(null, null, "App", "loadUrl", [url, props]);
      },
      cancelLoadUrl: function() {
        exec(null, null, "App", "cancelLoadUrl", []);
      },
      clearHistory: function() {
        exec(null, null, "App", "clearHistory", []);
      },
      backHistory: function() {
        exec(null, null, "App", "backHistory", []);
      },
      overrideBackbutton: function(override) {
        exec(null, null, "App", "overrideBackbutton", [override]);
      },
      overrideButton: function(button, override) {
        exec(null, null, "App", "overrideButton", [button, override]);
      },
      exitApp: function() {
        return exec(null, null, "App", "exitApp", []);
      }
    };
  });
  define("cordova/plugin_list", function(require, exports, module) {
    module.exports = [];
    module.exports.metadata = {};
  });
  define("cordova/pluginloader", function(require, exports, module) {
    var modulemapper = require("cordova/modulemapper");
    var urlutil = require("cordova/urlutil");
    require("cordova/plugin_list");
    exports.injectScript = function(url, onload, onerror) {
      var script = document.createElement("script");
      script.onload = onload;
      script.onerror = onerror;
      document.head.appendChild(script);
    };
    function injectIfNecessary(id, url, onload, onerror) {
      onerror = onerror || onload;
      if (id in define.moduleMap) {
        onload();
      } else {
        exports.injectScript(
          url,
          function() {
            if (id in define.moduleMap) {
              onload();
            } else {
              onerror();
            }
          },
          onerror
        );
      }
    }
    function onScriptLoadingComplete(moduleList, finishPluginLoading) {
      for (var i = 0, module; (module = moduleList[i]); i++) {
        if (module.clobbers && module.clobbers.length) {
          for (var j = 0; j < module.clobbers.length; j++) {
            modulemapper.clobbers(module.id, module.clobbers[j]);
          }
        }
        if (module.merges && module.merges.length) {
          for (var k = 0; k < module.merges.length; k++) {
            modulemapper.merges(module.id, module.merges[k]);
          }
        }
        if (module.runs) {
          modulemapper.runs(module.id);
        }
      }
      finishPluginLoading();
    }
    function handlePluginsObject(path, moduleList, finishPluginLoading) {
      var scriptCounter = moduleList.length;
      if (!scriptCounter) {
        finishPluginLoading();
        return;
      }
      function scriptLoadedCallback() {
        if (!--scriptCounter) {
          onScriptLoadingComplete(moduleList, finishPluginLoading);
        }
      }
      for (var i = 0; i < moduleList.length; i++) {
        injectIfNecessary(
          moduleList[i].id,
          path + moduleList[i].file,
          scriptLoadedCallback
        );
      }
    }
    function findCordovaPath() {
      var path = null;
      var scripts = document.getElementsByTagName("script");
      var term = "/cordova.js";
      for (var n = scripts.length - 1; n > -1; n--) {
        var src = scripts[n].src.replace(/\?.*$/, "");
        if (src.indexOf(term) == src.length - term.length) {
          path = src.substring(0, src.length - term.length) + "/";
          break;
        }
      }
      return "";
    }
    exports.load = function(callback) {
      var pathPrefix = findCordovaPath();
      if (pathPrefix === null) {
        console.log(
          "Could not find cordova.js script tag. Plugin loading may fail."
        );
        pathPrefix = "";
      }
      callback();
    };
  });
  define("cordova/urlutil", function(require, exports, module) {
    exports.makeAbsolute = function makeAbsolute(url) {
      var anchorEl = document.createElement("a");
      anchorEl.href = url;
      return anchorEl.href;
    };
  });
  define("cordova/utils", function(require, exports, module) {
    var utils = exports;
    utils.defineGetterSetter = function(obj, key, getFunc, opt_setFunc) {
      if (Object.defineProperty) {
        var desc = { get: getFunc, configurable: true };
        if (opt_setFunc) {
          desc.set = opt_setFunc;
        }
        Object.defineProperty(obj, key, desc);
      } else {
        obj.__defineGetter__(key, getFunc);
        if (opt_setFunc) {
          obj.__defineSetter__(key, opt_setFunc);
        }
      }
    };
    utils.defineGetter = utils.defineGetterSetter;
    utils.arrayIndexOf = function(a, item) {
      if (a.indexOf) {
        return a.indexOf(item);
      }
      var len = a.length;
      for (var i = 0; i < len; ++i) {
        if (a[i] == item) {
          return i;
        }
      }
      return -1;
    };
    utils.arrayRemove = function(a, item) {
      var index = utils.arrayIndexOf(a, item);
      if (index != -1) {
        a.splice(index, 1);
      }
      return index != -1;
    };
    utils.typeName = function(val) {
      return Object.prototype.toString.call(val).slice(8, -1);
    };
    utils.isArray = function(a) {
      return utils.typeName(a) == "Array";
    };
    utils.isDate = function(d) {
      return utils.typeName(d) == "Date";
    };
    utils.clone = function(obj) {
      if (
        !obj ||
        typeof obj == "function" ||
        utils.isDate(obj) ||
        typeof obj != "object"
      ) {
        return obj;
      }
      var retVal, i;
      if (utils.isArray(obj)) {
        retVal = [];
        for (i = 0; i < obj.length; ++i) {
          retVal.push(utils.clone(obj[i]));
        }
        return retVal;
      }
      retVal = {};
      for (i in obj) {
        if (!(i in retVal) || retVal[i] != obj[i]) {
          retVal[i] = utils.clone(obj[i]);
        }
      }
      return retVal;
    };
    utils.close = function(context, func, params) {
      if (typeof params == "undefined") {
        return function() {
          return func.apply(context, arguments);
        };
      } else {
        return function() {
          return func.apply(context, params);
        };
      }
    };
    utils.createUUID = function() {
      return (
        UUIDcreatePart(4) +
        "-" +
        UUIDcreatePart(2) +
        "-" +
        UUIDcreatePart(2) +
        "-" +
        UUIDcreatePart(2) +
        "-" +
        UUIDcreatePart(6)
      );
    };
    utils.extend = (function() {
      var F = function() {};
      return function(Child, Parent) {
        F.prototype = Parent.prototype;
        Child.prototype = new F();
        Child.__super__ = Parent.prototype;
        Child.prototype.constructor = Child;
      };
    })();
    utils.alert = function(msg) {
      if (window.alert) {
        window.alert(msg);
      } else {
        if (console && console.log) {
          console.log(msg);
        }
      }
    };
    function UUIDcreatePart(length) {
      var uuidpart = "";
      for (var i = 0; i < length; i++) {
        var uuidchar = parseInt(Math.random() * 256, 10).toString(16);
        if (uuidchar.length == 1) {
          uuidchar = "0" + uuidchar;
        }
        uuidpart += uuidchar;
      }
      return uuidpart;
    }
  });
  define("zzcjsbridge/backtopreviouspage", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var jsContent = jsParameter.jsContent;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "BackPagePlugin", "backtopreviouspage", [
        jsContent
      ]);
    };
  });
  define("zzcjsbridge/backtohome", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var tabIndex = jsParameter.tabIndex;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "BackPagePlugin", "backtohome", [tabIndex]);
    };
  });
  define("zzcjsbridge/onScreenshotShared", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      var listener = jsParameter.listener;
      exec(resultCallback, listener, "SharePlugin", "onScreenshotShared", []);
    };
  });
  define("zzcjsbridge/shareFile", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var type = jsParameter.type;
      var url = jsParameter.url;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "SharePlugin", "shareFile", [type, url]);
    };
  });
  define("zzcjsbridge/getScreenshotImage", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "SharePlugin", "getScreenshotImage", []);
    };
  });
  define("zzcjsbridge/onLoginStatusChange", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      var listener = jsParameter.listener;
      exec(
        resultCallback,
        listener,
        "AccountPlugin",
        "onLoginStatusChange",
        []
      );
    };
  });
  define("zzcjsbridge/onTabbarSelected", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      var listener = jsParameter.listener;
      exec(resultCallback, listener, "TabbarPlugin", "onTabbarSelected", []);
    };
  });
  define("zzcjsbridge/onPickUpCityChange", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      var listener = jsParameter.listener;
      exec(resultCallback, listener, "RentCarPlugin", "onPickUpCityChange", []);
    };
  });
  define("zzcjsbridge/onVisibilitychange", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      var listener = jsParameter.listener;
      exec(
        resultCallback,
        listener,
        "VisibilityChangedPlugin",
        "onVisibilitychange",
        []
      );
    };
  });
  define("zzcjsbridge/onReceiveScheme", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      var listener = jsParameter.listener;
      exec(resultCallback, listener, "SchemePlugin", "onReceiveScheme", []);
    };
  });
  define("zzcjsbridge/base_toast", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var content = jsParameter.content;
      var showTime = jsParameter.time;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "ToastPlugin", "base_toast", [
        content,
        showTime
      ]);
    };
  });
  define("zzcjsbridge/calendar", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var defaultDate = jsParameter.defaultDate;
      var startDate = jsParameter.range[0];
      var endDate = jsParameter.range[1];
      var needTime = jsParameter.needTime;
      var title = jsParameter.title;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "CalendarPlugin", "calendar", [
        defaultDate,
        startDate,
        endDate,
        needTime,
        title
      ]);
    };
  });
  define("zzcjsbridge/areaselect", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var proviceID = jsParameter.defaultArea[0];
      var cityID = jsParameter.defaultArea[1];
      var districtID = jsParameter.defaultArea[2];
      var rangeProviceID = 0;
      var rangeCityID = 0;
      if (typeof jsParameter.range != "undefined") {
        rangeProviceID = jsParameter.range[0];
        rangeCityID = jsParameter.range[1];
      }
      var title = jsParameter.title;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "AreaSelectPlugin", "areaselect", [
        proviceID,
        cityID,
        districtID,
        rangeProviceID,
        rangeCityID,
        title
      ]);
    };
  });
  define("zzcjsbridge/loginsuccess", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var userID = jsParameter.userID;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "AccountPlugin", "loginsuccess", [userID]);
    };
  });
  define("zzcjsbridge/carlistpagetitle", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        jsParameter.listener,
        "CarListPageTitlePlugin",
        "carlistpagetitle",
        [
          jsParameter.pickUpLocation,
          jsParameter.returnLocation,
          jsParameter.pickUpDate,
          jsParameter.returnDate,
          jsParameter.titleTips,
          jsParameter.onTouchBar
        ]
      );
    };
  });
  define("zzcjsbridge/openDateSettingTool", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        jsParameter.listener,
        "CarListPageTitlePlugin",
        "openDateSettingTool",
        [jsParameter]
      );
    };
  });
  define("zzcjsbridge/crcRentCarSettingAlert", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        jsParameter.listener,
        "CarListPageTitlePlugin",
        "crcRentCarSettingAlert",
        [jsParameter]
      );
    };
  });
  define("zzcjsbridge/pickupreturncalendar", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var pickUpDate = jsParameter.pickUpDate;
      var returnDate = jsParameter.returnDate;
      var dayInterval = jsParameter.dayInterval;
      var startDate = jsParameter.range[0];
      var endDate = jsParameter.range[1];
      var showDefault = jsParameter.showDefault;
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "PickUpReturnCalendarPlugin",
        "pickupreturncalendar",
        [pickUpDate, returnDate, dayInterval, startDate, endDate, showDefault]
      );
    };
  });
  define("zzcjsbridge/ImageViewer", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var title = jsParameter.title;
      var photos = jsParameter.photos;
      var showIndex = jsParameter.showIndex;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "ImagePlugin", "ImageViewer", [
        title,
        photos,
        showIndex
      ]);
    };
  });
  define("zzcjsbridge/ImagePicker", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var from = jsParameter.from;
      var maxLimit = jsParameter.maxLimit;
      var maxHeight = jsParameter.maxHeight;
      var maxWidth = jsParameter.maxWidth;
      var quality = jsParameter.expectQuality;
      var size = jsParameter.expectSize;
      var nullable = jsParameter.nullable;
      var submitText = jsParameter.submitText;
      var submitText2 = jsParameter.submitText2;
      var resultCallback = jsParameter.success;
      var listener = jsParameter.listener;
      exec(resultCallback, listener, "ImagePlugin", "ImagePicker", [
        from,
        maxLimit,
        maxHeight,
        maxWidth,
        quality,
        size,
        nullable,
        submitText,
        submitText2
      ]);
    };
  });
  define("zzcjsbridge/MediaViewer", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var title = jsParameter.title;
      var theme = jsParameter.theme;
      var media = jsParameter.media;
      var showIndex = jsParameter.showIndex;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "MediaViewerPlugin", "MediaViewer", [
        title,
        theme,
        media,
        showIndex
      ]);
    };
  });
  define("zzcjsbridge/share", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(jsParameter.success, null, "SharePlugin", "share", [jsParameter]);
    };
  });
  define("zzcjsbridge/webviewtitle", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var title = jsParameter.title;
      var canClick = jsParameter.isReflected;
      var color = jsParameter.color;
      var subTitle = jsParameter.subTitle;
      var subTitleColor = jsParameter.subTitleColor;
      var resultCallback = jsParameter.success;
      var listener = jsParameter.listener;
      exec(resultCallback, listener, "TopbarPlugin", "webviewtitle", [
        title,
        canClick,
        color,
        subTitle,
        subTitleColor
      ]);
    };
  });
  define("zzcjsbridge/appMarketComment", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var marketType = jsParameter.marketType;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "GoAppPlugin", "appMarketComment", [
        marketType
      ]);
    };
  });
  define("zzcjsbridge/appSocialSnsLogin", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(jsParameter.success, null, "UMAuthPlugin", "appSocialSnsLogin", [
        jsParameter.platform,
        jsParameter.param
      ]);
    };
  });
  define("zzcjsbridge/appTextResignFirstResponder", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "InputPlugin",
        "appTextResignFirstResponder",
        []
      );
    };
  });
  define("zzcjsbridge/appInputCommunityAnswers", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        null,
        "InputPlugin",
        "appInputCommunityAnswers",
        [
          jsParameter.placeholder,
          jsParameter.hideEmoji,
          jsParameter.hideImage,
          jsParameter.minLength,
          jsParameter.maxLength,
          jsParameter.title
        ]
      );
    };
  });
  define("zzcjsbridge/appCustomRightBarList", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var customItems = jsParameter.customItems;
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        jsParameter.listener,
        "TopbarPlugin",
        "appCustomRightBarList",
        [customItems]
      );
    };
  });
  define("zzcjsbridge/userVisitorMode", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var channel_id = jsParameter.channel_id;
      var speech_mode = jsParameter.speech_mode;
      var speech_send_type = jsParameter.speech_send_type;
      var first_input_status = jsParameter.first_input_status;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "InputPlugin", "userVisitorMode", [
        channel_id,
        speech_mode,
        speech_send_type,
        first_input_status
      ]);
    };
  });
  define("zzcjsbridge/answerUserQuestion", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var content = jsParameter.content;
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "AnswerUserQuestionPlugin",
        "answerUserQuestion",
        [content]
      );
    };
  });
  define("zzcjsbridge/setNativeClipboard", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var content = jsParameter.content;
      var alertContent = jsParameter.alertContent;
      var alertTime = jsParameter.alertTime;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "ClipboardPlugin", "setNativeClipboard", [
        content,
        alertContent,
        alertTime
      ]);
    };
  });
  define("zzcjsbridge/base_getAppPermission", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        null,
        "AppInfoPlugin",
        "base_getAppPermission",
        [jsParameter.permission]
      );
    };
  });
  define("zzcjsbridge/phoneIsExistApp", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var appName = jsParameter.appName;
      var appNames = jsParameter.appNames;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "AppInfoPlugin", "phoneIsExistApp", [
        appName,
        appNames
      ]);
    };
  });
  define("zzcjsbridge/receiveSearchReg", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var search_reg = jsParameter.search_reg;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "ReceiveSearchRegPlugin", "receiveSearchReg", [
        search_reg
      ]);
    };
  });
  define("zzcjsbridge/base_SetSearchBarState", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var startOffset = jsParameter.startOffset;
      var endOffset = jsParameter.endOffset;
      var titleText = jsParameter.titleText;
      var url = jsParameter.url;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "TopbarPlugin", "base_SetSearchBarState", [
        startOffset,
        endOffset,
        titleText,
        url
      ]);
    };
  });
  define("zzcjsbridge/base_showNativeActionSheet", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var options = jsParameter.options;
      var cancelButtonIndex = jsParameter.cancelButtonIndex;
      var destructiveButtonIndex = jsParameter.destructiveButtonIndex;
      var title = jsParameter.title;
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "ActionSheetPlugin",
        "base_showNativeActionSheet",
        [options, cancelButtonIndex, destructiveButtonIndex, title]
      );
    };
  });
  define("zzcjsbridge/group_updateUserUnreadCount", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var unreadCount = jsParameter.unreadCount;
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "TabbarPlugin",
        "group_updateUserUnreadCount",
        [unreadCount]
      );
    };
  });
  define("zzcjsbridge/account_updateUserUnreadCount", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var unreadCount = jsParameter.unreadCount;
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "TabbarPlugin",
        "account_updateUserUnreadCount",
        [unreadCount]
      );
    };
  });
  define("zzcjsbridge/base_updateTabbarBadge", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var id = jsParameter.id;
      var visible = jsParameter.visible;
      var text = jsParameter.text;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "TabbarPlugin", "base_updateTabbarBadge", [
        id,
        visible,
        text
      ]);
    };
  });
  define("zzcjsbridge/base_updateBaseTabbar", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var tabOne = jsParameter.tabOne;
      var tabTwo = jsParameter.tabTwo;
      var tabThree = jsParameter.tabThree;
      var tabFour = jsParameter.tabFour;
      var tabFive = jsParameter.tabFive;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "TabbarPlugin", "base_updateBaseTabbar", [
        tabOne,
        tabTwo,
        tabThree,
        tabFour,
        tabFive
      ]);
    };
  });
  define("zzcjsbridge/openAppMarket", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var appName = jsParameter.appName;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "GoAppPlugin", "openAppMarket", [appName]);
    };
  });
  define("zzcjsbridge/group_referSomeone", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var content = jsParameter.content;
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "AnswerUserQuestionPlugin",
        "group_referSomeone",
        [content]
      );
    };
  });
  define("zzcjsbridge/group_proximityMonitering", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var isMonitor = jsParameter.isMonitor;
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "ProximityMoniteringPlugin",
        "group_proximityMonitering",
        [isMonitor]
      );
    };
  });
  define("zzcjsbridge/group_setTopBarTitle", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var topBarArr = jsParameter.topBarArr;
      var statusTitle = jsParameter.statusTitle;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "TopbarPlugin", "group_setTopBarTitle", [
        topBarArr,
        statusTitle
      ]);
    };
  });
  define("zzcjsbridge/base_showOrHideTopBar", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var showOrHide = jsParameter.showOrHide;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "TopbarPlugin", "base_showOrHideTopBar", [
        showOrHide
      ]);
    };
  });
  define("zzcjsbridge/base_setTopBarStyle", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(jsParameter.success, null, "TopbarPlugin", "base_setTopBarStyle", [
        jsParameter.style,
        jsParameter.bgColor
      ]);
    };
  });
  define("zzcjsbridge/base_goBackPage", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var step = jsParameter.step;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "BackPagePlugin", "base_goBackPage", [step]);
    };
  });
  define("zzcjsbridge/base_navbarRightButtons", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var items = jsParameter.items;
      var resultCallback = jsParameter.success;
      var listener = jsParameter.listener;
      exec(
        resultCallback,
        listener,
        "TopbarPlugin",
        "base_navbarRightButtons",
        [items]
      );
    };
  });
  define("zzcjsbridge/base_customNavbarRightButton", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var type = jsParameter.type;
      var imageUrl = jsParameter.imageUrl;
      var text = jsParameter.text;
      var textColor = jsParameter.textColor;
      var imageW = jsParameter.imageW;
      var imageH = jsParameter.imageH;
      var density = jsParameter.density;
      var resultCallback = jsParameter.success;
      var listener = jsParameter.listener;
      exec(
        resultCallback,
        listener,
        "TopbarPlugin",
        "base_customNavbarRightButton",
        [type, imageUrl, text, textColor, imageW, imageH, density]
      );
    };
  });
  define("zzcjsbridge/base_customNavbarLeftButton", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var type = jsParameter.type;
      var imageUrl = jsParameter.imageUrl;
      var topImageUrl = jsParameter.topImageUrl;
      var text = jsParameter.text;
      var textColor = jsParameter.textColor;
      var imageW = jsParameter.imageW;
      var imageH = jsParameter.imageH;
      var density = jsParameter.density;
      var intercept = jsParameter.intercept;
      var resultCallback = jsParameter.success;
      var listener = jsParameter.listener;
      exec(
        resultCallback,
        listener,
        "TopbarPlugin",
        "base_customNavbarLeftButton",
        [
          type,
          imageUrl,
          text,
          textColor,
          imageW,
          imageH,
          density,
          intercept,
          topImageUrl
        ]
      );
    };
  });
  define("zzcjsbridge/base_goNotificationSettings", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var timeInterval = jsParameter.time_interval;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "GoAppPlugin", "base_goNotificationSettings", [
        timeInterval
      ]);
    };
  });
  define("zzcjsbridge/base_openAppSetting", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(jsParameter.success, null, "GoAppPlugin", "base_openAppSetting", [
        jsParameter.action
      ]);
    };
  });
  define("zzcjsbridge/base_startLoading", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "LoadingPlugin", "base_startLoading", []);
    };
  });
  define("zzcjsbridge/base_stopLoading", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "LoadingPlugin", "base_stopLoading", []);
    };
  });
  define("zzcjsbridge/base_saveToAlbum", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var type = jsParameter.type;
      var imageUrl = jsParameter.imageUrl;
      var base64Str = jsParameter.base64Str;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "ImagePlugin", "base_saveToAlbum", [
        type,
        imageUrl,
        base64Str
      ]);
    };
  });
  define("zzcjsbridge/base_addPullToRefresh", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var onPullEnd = jsParameter.onPullEnd;
      var resultCallback = jsParameter.success;
      var listener = jsParameter.listener;
      exec(
        resultCallback,
        listener,
        "PullToRefreshPlugin",
        "base_addPullToRefresh",
        [onPullEnd]
      );
    };
  });
  define("zzcjsbridge/base_removePullToRefresh", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "PullToRefreshPlugin",
        "base_removePullToRefresh",
        []
      );
    };
  });
  define("zzcjsbridge/base_finishPullToRefresh", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "PullToRefreshPlugin",
        "base_finishPullToRefresh",
        []
      );
    };
  });
  define("zzcjsbridge/base_voip", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var account = jsParameter.account;
      var password = jsParameter.password;
      var callNumber = jsParameter.callNumber;
      var preferCodeC = jsParameter.preferCodeC;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "VOIPPlugin", "base_voip", [
        account,
        password,
        callNumber,
        preferCodeC
      ]);
    };
  });
  define("zzcjsbridge/configureBaiduASR", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var language = jsParameter.language;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "BaiduASRPlugin", "configureBaiduASR", [
        language
      ]);
    };
  });
  define("zzcjsbridge/chat_switchInputToolStatus", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        null,
        "InputPlugin",
        "chat_switchInputToolStatus",
        [
          jsParameter.input_status,
          jsParameter.input_placehoder,
          jsParameter.input_def_text
        ]
      );
    };
  });
  define("zzcjsbridge/chat_cleanInputText", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(jsParameter.success, null, "InputPlugin", "chat_cleanInputText", [
        jsParameter.status
      ]);
    };
  });
  define("zzcjsbridge/chat_setupMoreItems", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(jsParameter.success, null, "InputPlugin", "chat_setupMoreItems", [
        jsParameter.more_items
      ]);
    };
  });
  define("zzcjsbridge/chat_publishNote", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(jsParameter.success, null, "InputPlugin", "chat_publishNote", [
        jsParameter
      ]);
    };
  });
  define("zzcjsbridge/wxpayappcheck", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(jsParameter.success, null, "ZZCAppMoneyPay", "wxpayappcheck", []);
    };
  });
  define("zzcjsbridge/wxpayV2", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(jsParameter.success, null, "ZZCAppMoneyPay", "wxpayV2", [
        jsParameter.orderStr
      ]);
    };
  });
  define("zzcjsbridge/wxpay", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var orderID = jsParameter.orderID;
      var orderChannel = jsParameter.orderChannel;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "ZZCAppMoneyPay", "wxpay", [
        orderID,
        orderChannel
      ]);
    };
  });
  define("zzcjsbridge/alipayappcheck", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(jsParameter.success, null, "ZZCAppMoneyPay", "alipayappcheck", []);
    };
  });
  define("zzcjsbridge/alipay", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var orderID = jsParameter.orderID;
      var orderChannel = jsParameter.orderChannel;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "ZZCAppMoneyPay", "alipay", [
        orderID,
        orderChannel
      ]);
    };
  });
  define("zzcjsbridge/alipayV2", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var orderStr = jsParameter.orderStr;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "ZZCAppMoneyPay", "alipayV2", [orderStr]);
    };
  });
  define("zzcjsbridge/com_orderPay", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var orderInfo = jsParameter.orderInfo;
      var payType = jsParameter.payType;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "ZZCAppMoneyPay", "com_orderPay", [
        orderInfo,
        payType
      ]);
    };
  });
  define("zzcjsbridge/changeUserLanguage", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var userLanguage = jsParameter.userLanguage;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "LanguagePlugin", "changeUserLanguage", [
        userLanguage
      ]);
    };
  });
  define("zzcjsbridge/page_linkTo", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var url = jsParameter.url;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "GoPagePlugin", "page_linkTo", [url]);
    };
  });
  define("zzcjsbridge/getMyVideoStatus", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "AppInfoPlugin", "getMyVideoStatus", []);
    };
  });
  define("zzcjsbridge/trackingIO_registerAccount", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var account = jsParameter.account;
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "TrackingIOPlugin",
        "trackingIO_registerAccount",
        [account]
      );
    };
  });
  define("zzcjsbridge/trackingIO_loginAccount", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var account = jsParameter.account;
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "TrackingIOPlugin",
        "trackingIO_loginAccount",
        [account]
      );
    };
  });
  define("zzcjsbridge/trackingIO_startPay", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var transactionId = jsParameter.transactionId;
      var paymentType = jsParameter.paymentType;
      var currencyType = jsParameter.currencyType;
      var currencyAmount = jsParameter.currencyAmount;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "TrackingIOPlugin", "trackingIO_startPay", [
        transactionId,
        paymentType,
        currencyType,
        currencyAmount
      ]);
    };
  });
  define("zzcjsbridge/trackingIO_finishPay", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var transactionId = jsParameter.transactionId;
      var paymentType = jsParameter.paymentType;
      var currencyType = jsParameter.currencyType;
      var currencyAmount = jsParameter.currencyAmount;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "TrackingIOPlugin", "trackingIO_finishPay", [
        transactionId,
        paymentType,
        currencyType,
        currencyAmount
      ]);
    };
  });
  define("zzcjsbridge/trackingIO_setEvent", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var eventName = jsParameter.eventName;
      var extra = jsParameter.extra;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "TrackingIOPlugin", "trackingIO_setEvent", [
        eventName,
        extra
      ]);
    };
  });
  define("zzcjsbridge/trackingIO_setProfile", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var extra = jsParameter.extra;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "TrackingIOPlugin", "trackingIO_setProfile", [
        extra
      ]);
    };
  });
  define("zzcjsbridge/base_pageCommunication", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var jsContent = jsParameter.jsContent;
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "PageCommunicationPlugin",
        "base_pageCommunication",
        [jsContent]
      );
    };
  });
  define("zzcjsbridge/base_customDialog", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var show = jsParameter.show;
      var type = jsParameter.type;
      var canceledOnTouchOutside = jsParameter.canceledOnTouchOutside;
      var title = jsParameter.title;
      var content = jsParameter.content;
      var buttons = jsParameter.buttons;
      var resultCallback = jsParameter.success;
      var listener = jsParameter.listener;
      exec(
        resultCallback,
        listener,
        "CustomDialogPlugin",
        "base_customDialog",
        [show, type, canceledOnTouchOutside, title, content, buttons]
      );
    };
  });
  define("zzcjsbridge/base_getSwitchState", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var switchId = jsParameter.switchId;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "AppInfoPlugin", "base_getSwitchState", [
        switchId
      ]);
    };
  });
  define("zzcjsbridge/base_updateBadge", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "BadgePlugin", "base_updateBadge", []);
    };
  });
  define("zzcjsbridge/base_uploadContacts", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "UploadContactsPlugin",
        "base_uploadContacts",
        []
      );
    };
  });
  define("zzcjsbridge/updateSearchCity", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        jsParameter.listener,
        "SearchCityPlugin",
        "updateSearchCity",
        [jsParameter]
      );
    };
  });
  define("zzcjsbridge/base_requestLocation", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var tips = jsParameter.tips;
      var forceShowDialog = jsParameter.forceShowDialog;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "LocationPlugin", "base_requestLocation", [
        tips,
        forceShowDialog
      ]);
    };
  });
  define("zzcjsbridge/base_openKeyboard", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "InputPlugin", "base_openKeyboard", []);
    };
  });
  define("zzcjsbridge/base_navbarRightPopover", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var customItems = jsParameter.customItems;
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        jsParameter.listener,
        "TopbarPlugin",
        "base_navbarRightPopover",
        [customItems]
      );
    };
  });
  define("zzcjsbridge/base_showTopNavBar", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "TopbarPlugin", "base_showTopNavBar", []);
    };
  });
  define("zzcjsbridge/base_hideTopNavBar", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "TopbarPlugin", "base_hideTopNavBar", []);
    };
  });
  define("zzcjsbridge/showWebActivity", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "CouponDialogPlugin", "showWebActivity", [
        jsParameter.url
      ]);
    };
  });
  define("zzcjsbridge/hideWebActivity", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "CouponDialogPlugin", "hideWebActivity", []);
    };
  });
  define("zzcjsbridge/webActivityPageFinished", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var resultCallback = jsParameter.success;
      exec(
        resultCallback,
        null,
        "CouponDialogPlugin",
        "webActivityPageFinished",
        []
      );
    };
  });
  define("zzcjsbridge/base_localStorageSetItem", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        null,
        "LocalStoragePlugin",
        "base_localStorageSetItem",
        [jsParameter.namespace, jsParameter.key, jsParameter.value]
      );
    };
  });
  define("zzcjsbridge/base_localStorageSetItems", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        null,
        "LocalStoragePlugin",
        "base_localStorageSetItems",
        [jsParameter.namespace, jsParameter.keyValues]
      );
    };
  });
  define("zzcjsbridge/base_localStorageGetItem", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        null,
        "LocalStoragePlugin",
        "base_localStorageGetItem",
        [jsParameter.namespace, jsParameter.key]
      );
    };
  });
  define("zzcjsbridge/base_localStorageRemoveItem", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        null,
        "LocalStoragePlugin",
        "base_localStorageRemoveItem",
        [jsParameter.namespace, jsParameter.key]
      );
    };
  });
  define("zzcjsbridge/base_localStorageClean", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        null,
        "LocalStoragePlugin",
        "base_localStorageClean",
        [jsParameter.namespace]
      );
    };
  });
  define("zzcjsbridge/base_localStorageAllItems", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        null,
        "LocalStoragePlugin",
        "base_localStorageAllItems",
        [jsParameter.namespace]
      );
    };
  });
  define("zzcjsbridge/openWXMiniProgram", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        jsParameter.listener,
        "WXMiniProgramPlugin",
        "openWXMiniProgram",
        [
          jsParameter.userName,
          jsParameter.path,
          jsParameter.miniProgramType,
          jsParameter.extMsg
        ]
      );
    };
  });
  define("zzcjsbridge/base_updateWebTopSearchBar", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var addBar = jsParameter.addBar;
      var startOffset = jsParameter.startOffset;
      var endOffset = jsParameter.endOffset;
      var locationTitle = jsParameter.locationTitle;
      var locationUrl = jsParameter.locationUrl;
      var searchTitle = jsParameter.searchTitle;
      var searchUrl = jsParameter.searchUrl;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "TopbarPlugin", "base_updateWebTopSearchBar", [
        addBar,
        startOffset,
        endOffset,
        locationTitle,
        locationUrl,
        searchTitle,
        searchUrl
      ]);
    };
  });
  define("zzcjsbridge/analyticsConfig", function(require, exports, module) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      var objType = jsParameter.objType;
      var baseParams = jsParameter.baseParams;
      var resultCallback = jsParameter.success;
      exec(resultCallback, null, "AnalyticsConfigPlugin", "analyticsConfig", [
        objType,
        baseParams
      ]);
    };
  });
  define("zzcjsbridge/loadAndShowRewardVideoAd", function(
    require,
    exports,
    module
  ) {
    var exec = require("cordova/exec");
    module.exports = function(jsParameter) {
      exec(
        jsParameter.success,
        jsParameter.listener,
        "AdvertPlugin",
        "loadAndShowRewardVideoAd",
        [jsParameter]
      );
    };
  });
  require("cordova/init");
})();
